- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# CColor Struct Reference

`#include <vstgui.h>`

List of all members.

## Public Member Functions
CColor & | operator() (unsigned char red, unsigned char green, unsigned char blue, unsigned char alpha)
CColor & | operator= (const CColor &newColor)
CColor | operator~ ()
bool | operator!= (const CColor &other) const
bool | operator== (const CColor &other) const
## Public Attributes
unsigned char | red
unsigned char | green
unsigned char | blue
unsigned char | alpha

## Member Function Documentation

bool CColor::operator!= | ( | const CColor & | other | ) | const`[inline]`

CColor& CColor::operator() | ( | unsigned char | red,
|  | unsigned char | green,
|  | unsigned char | blue,
|  | unsigned char | alpha
| ) | `[inline]`

CColor& CColor::operator= | ( | const CColor & | newColor | ) | `[inline]`

bool CColor::operator== | ( | const CColor & | other | ) | const`[inline]`

CColor CColor::operator~ | ( |  | ) | `[inline]`

## Member Data Documentation

unsigned char CColor::alpha

unsigned char CColor::blue

unsigned char CColor::green

unsigned char CColor::red

The documentation for this struct was generated from the following file:

- vstgui.h

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.